<?
include_once("req.php");

#array_walk($_REQUEST,"format_string");
#array_walk($_POST,"format_string");
#array_walk($_GET,"format_string");

include_once("config.php");
include_once("session_class.php");
include_once("persinfo_class.php");
error_reporting(E_ALL ^ E_NOTICE);
session_start();
$session = new Sessions;

if(in_array(userip(),array('213.213.213.21','12.12.12.23'))) {
 $enter=1; $id=12;$session->id_person=$id;
}
if ($session->is_session(session_id())){
  $id=$session->id_person;$enter=1;
}
if ($enter) {

$myinfo =new Persinfo($id);
$myinfo->get_chat_params();
#if ($myinfo->id_person==279 && $myinfo->id_clan==24) {$myinfo->align=1.5;}
if ($myinfo->id_person==58 or $myinfo->id_person==12) {$myinfo->align=1.999;$mynazv='Ангел';}else{
if ((int)$myinfo->align==3) {$mynazv='Тарман';}
elseif ((int)$myinfo->align==1) {$mynazv='Паладин';}
else {$mynazv='Персонаж';}
}

$res=db_use('array',"select pal_access from align where align='".$myinfo->align."'");
$pal_abil=$res['pal_access'];
for ($i=0;$i<strlen($pal_abil);$i++) if ($pal_abil[$i]) $pal=1;

if (in_array($myinfo->id_person,$alhimics)){}else{ header("Location: main.php"); die;}


echo"
<HTML><HEAD>
<link rel=stylesheet type=\"text/css\" href=\"../i/main.css\">
<meta content=\"text/html; charset=windows-1251\" http-equiv=Content-type>
<META Http-Equiv=Cache-Control Content=no-cache>
<meta http-equiv=PRAGMA content=NO-CACHE>
<META Http-Equiv=Expires Content=0>
<SCRIPT LANGUAGE=\"JavaScript\" SRC=\"../i/sl2.24.js\"></SCRIPT>
</HEAD>
<body leftmargin=5 topmargin=5 marginwidth=5 marginheight=5 bgcolor=#e2e0e0>
<SCRIPT src='../i/commoninf.js'></SCRIPT>
<p align=right><INPUT TYPE=button value=\"Вернуться\" onclick=\"top.returned()\"></p>
<div id=hint4 class=ahint></div>
<h3>
Хостинг с нами, сборщик <SCRIPT>drwfl(\"".$myinfo->name."\",".$myinfo->id_person.",\"".$myinfo->level."\",'".$myinfo->align."',\"".$myinfo->clanname."\")</SCRIPT></h3>
";
echo '<FONT style="FONT-SIZE: 10pt; COLOR: red"><B><div id="rezultat"></div></B></FONT>';

if ($myinfo->align==50 OR $myinfo->align==1.999 or in_array($myinfo->id_person,$alhimics)) {
    echo "<h4>Передача кредов</h4><br>
<br>
<table style=\"background-color:black;\"><tr><td><font color=YELLOW>Реквизиты для отсылки денег: R322104543380, Z275339083926. Комментарий к платежу указать: \"alh".$myinfo->id_person."\".<br /><br />
<br />
<br />
<br />
Внимание Алхимикам! <br />
<br />
<br />
20 и 21 мая Алхимикам 20% от суммы перевода компенсируется администрацией (для переводов от 10000 кр)<br />
(например за перевод 10000 кр алхимик должен не 18wmz а 14.4wmz, то есть 3.6 wmz дарит администрация)<br />
Грубо говоря два дня курс 1 wmz=694 кр для тех кто не понял<br />
Условие - 22 мая баланс алхимика должен быть погашен (все прислано)<br />
<br />
<br />

<br />
";
echo"<br />
<u>Для нерассчитавшихся баланс будет погашен имуществом. При невозможности погашения имуществом персонаж будет заблокирован.</u>";
echo"
</table>
";

#$bal=$balans[$myinfo->id_person];
if (!in_array($myinfo->id_person,$alhimicsfull)) {
  $res=db_use('array',"select (select sum(wmz)+sum(wmr)/26.40 from alhim2 where
          id_alh='".$myinfo->id_person."') as sum1,(select sum(kr)/500*0.9 from alhim
          where id_alh='".$myinfo->id_person."' and moneysys>0) as sum2;");
}
if ($res['sum1']<=$res['sum2']-$balans[$myinfo->id_person] && !in_array($myinfo->id_person,$alhimicsfull)) {
  echo "<br />
<br />
<br />
<br />
<br />
<font color=RED>Ваш долг составляет ".($res['sum2']-$res['sum1'])." wmz</FONT><br /><br />
<br />
<br />
<br />
<br />
";
  $nobutt=true;
}
if (!$nobutt) {
    ?>
    <form method="post" action=alh.php?showalhim=1>
<?
if ($myinfo->id_person==12) { ?> id кто<input type=text name=idkto value="12">
<? }
?>    id кому<input type=text name=id>
    кр<input type=text name=kr>
    Платежная система<select name=ms>
    <option value="0">-не считается-</option>
    <optgroup label="WebMoney перевод">
    <option value="8">WMZ перевод</option>
    <option value="9">WMR перевод</option>
    <option value="10">WME перевод</option>
    </optgroup>
    <optgroup label="Yandex перевод">
    <option value="11">Yandex перевод</option>
    </optgroup>
    <optgroup label="WebMoney Z карты">
    <option value="12">WMZ card 5</option>
    <option value="13">WMZ card 10</option>
    <option value="14">WMZ card 20</option>
    <option value="15">WMZ card 50</option>
    <option value="16">WMZ card 100</option>
    </optgroup>
    <optgroup label="WebMoney R карты">
    <option value="17">WMR card 100</option>
    <option value="18">WMR card 300</option>
    <option value="19">WMR card 500</option>
    <option value="20">WMR card 1000</option>
    </optgroup>
    <optgroup label="WebMoney E карты">
    <option value="21">WME card any</option>
    </optgroup>
    <optgroup label="Yandex карты">
    <option value="22">Yandex card 100</option>
    <option value="23">Yandex card 300</option>
    <option value="24">Yandex card 500</option>
    <option value="25">Yandex card 1000</option>
    </optgroup>
    <optgroup label="Elexnet">
    <option value="26">Терминал Элекснет(WMR)</option>
    </optgroup>
    <optgroup label="Разное">
    <option value="27">Mail.ru перевод</option>
    <option value="28">Реальные деньги</option>
    </optgroup>
    </select><br />
    Комментарий<input type=text name=comment><br />
    <input type=submit name=alhim value="Дать/отнять кредов"/>
    </form>
    <?
}
    ?>
    <form method="post" action="alh.php?showalhim=1"><?
    if ($myinfo->align==1.999) {
      ?>
      Операции: <select name="filter"><option>-</option>
      <?
        $res=db_use('query',"select distinct a.id_alh,u.login from alhim a,users u where u.id_person=a.id_alh");
        unset($i);while($i<mysql_num_rows($res)) {
          $i++;$s=mysql_fetch_array($res);
          echo "<option value=".$s[id_alh].">".$s[login]."</option>
          ";
        }
      ?>
      </select>
      <?
    }
    ?>Операции с: <select name="filter2"><option>-</option><?
    $res=db_use('query',"select distinct a.id_person,u.login from alhim a,users u where u.id_person=a.id_person");
    unset($i);while($i<mysql_num_rows($res)) {
      $i++;$s=mysql_fetch_array($res);
      echo "<option value=".$s[id_person].">".$s[login]."</option>
      ";
    }
    ?>
    </select><input type="checkbox" name="onlybad" id="idbad" /><label for="idbad">Только красные</label><input type=submit value="Фильтр"/></form>
    <?
    if ($_REQUEST['setokalhim'] && $myinfo->id_person==12) {
      db_use('query',"update alhim set ok=1 where id_alh='".$_REQUEST['a']."' and timest='".$_REQUEST['t']."' and id_person='".$_REQUEST['p']."' and CONCAT(kr)=".$_REQUEST['k']."");
    }
    if ($_REQUEST['setvip'] && $myinfo->id_person==12) {
      db_use('query',"update alhim set vip=1 where id_alh='".$_REQUEST['a']."' and timest='".$_REQUEST['t']."' and id_person='".$_REQUEST['p']."' and CONCAT(kr)=".$_REQUEST['k']."");
      db_use('query',"update person set vip=vip+".$_REQUEST['k']."/500 where id_person='".$_REQUEST['p']."'");
    }
    if ($myinfo->id_person==12 && $_REQUEST[idkto]) { $myinfo=new persinfo (strval($_REQUEST[idkto])); $iamadmin=true; }
    if($_REQUEST['alhim']){
      $res=db_use('array',"select u.login,p.id_person,p.money from person p
      left join users u on u.id_person=p.id_person where p.id_person='".strval($_REQUEST['id'])."' ");
      if (!$res['id_person']) { echo "Персонаж не найден";}else{
        if ($myinfo->id_person!=12 && $res[blocked]>0) {
          echo "Персонаж заблокирован";
        }elseif ($_REQUEST['kr']<0 && -$_REQUEST['kr']>$res['money']) {
          echo "У персонажа недостаточно при себе кредов";
        }elseif (

        !in_array($myinfo->id_person,$alhimicsfull) && $_REQUEST['kr']<0 && !$iamadmin /*&& $_REQUEST['ms']>0*/
        && !($myinfo->align==1.99 && strval($_REQUEST['id'])==2)

         ) {
          echo "Операция запрещена.";
        }else{
          $res=db_use('array',"select (select sum(wmz)+sum(wmr)/26.40 from alhim2 where
          id_alh='".$myinfo->id_person."') as sum1,(select sum(kr)/500*0.9 from alhim
          where id_alh='".$myinfo->id_person."' and moneysys>0) as sum2;");
          # выдано на 0 + 5< = баланс (-62.5)
          if (($_REQUEST[ms] && $res['sum1']+$_REQUEST['kr']/500<=$res['sum2']-$balans[$myinfo->id_person]) && !in_array($myinfo->id_person,$alhimicsfull)) {
            echo "Ваш баланс не позволяет осуществить операцию";
          }else{
            $text1= "Персонажу ".$res['login'].' передано/отнято кредов: '.strval($_REQUEST['kr']);
            $text2= "Передано/отнято кредов: ".$_REQUEST['kr'];
            echo $text1;
            db_use('query',"update person set money=money+'".strval($_REQUEST['kr'])."' where id_person='".strval($_REQUEST['id'])."';");
            new_chat_message5($_REQUEST['id'],"Переведены ".$_REQUEST['kr']." кр от Администрации");
            new_chat_message5($myinfo->id_person,"Переведены ".$_REQUEST['kr']." кр персонажу ".$res['login']." (".$_REQUEST['id'].")");
            db_use('query',"insert into pals_delo(id_person,id_paladin,level,align,message,type) values('".$_REQUEST['id']."','".$myinfo->id_person."','".$myinfo->level."','".$myinfo->align."','".$text2."','5')");
            db_use('query',"insert into pals_delo(id_person,id_paladin,level,align,message,type) values('".$myinfo->id_person."','".$myinfo->id_person."','".$myinfo->level."','".$myinfo->align."','".$text1."','5')");
            db_use('query',"insert into alhim (comment,id_alh,id_person,kr,moneysys) values ('".$_REQUEST['comment']."','".$myinfo->id_person."','".$_REQUEST['id']."','".$_REQUEST['kr']."','".(0+$_REQUEST['ms'])."')");
          }
        }
      }
    }

    echo "<a href=alh.php?showalhim=1".($_REQUEST[idkto]?'&idkto='.$_REQUEST[idkto]:'')."&filter=".strval($_REQUEST[filter])."&filter2=".strval($_REQUEST[filter2]).">в начало</a> ";
    echo ($_GET[skip]-40>=0?"<a href=alh.php?showalhim=1".($_REQUEST[idkto]?'&idkto='.$_REQUEST[idkto]:'')."".($_REQUEST[onlybad]=='on'?'&onlybad=on':'')."&filter=".strval($_REQUEST[filter])."&filter2=".strval($_REQUEST[filter2])."&skip=".strval($_GET[skip]-40)."><-назад</a> ":'');
    echo (true?"<a href=alh.php?showalhim=1".($_REQUEST[idkto]?'&idkto='.$_REQUEST[idkto]:'').($_REQUEST[onlybad]=='on'?'&onlybad=on':'')."&filter=".strval($_REQUEST[filter])."&filter2=".strval($_REQUEST[filter2])."&skip=".strval($_GET[skip]+40).">вперед-></a> ":'');

    echo "<br />";
    $res=db_use('query',"select a.*,d1.login as namea,d1.clanname as clannamea,d1.align as aligna,d1.level as levela
    ,d2.login as name1,d2.clanname as clanname1,d2.align as align1,d2.level as level1
     from alhim a
     left join drwfl d1 on d1.id_person=a.id_alh
     left join drwfl d2 on d2.id_person=a.id_person where 1=1 ".($_REQUEST['onlybad']=='on'?'and ok=0 ':'').
     ($myinfo->id_person==12?
              ($_REQUEST[filter]>0?"and a.id_alh='".strval($_REQUEST[filter])."' ":''):
              "and a.id_alh='".$myinfo->id_person."'").
              ($_REQUEST[filter2]>0?"and a.id_person='".strval($_REQUEST[filter2])."' ":'').
              " order by a.timest desc limit ".strval($_GET[skip]+0).",40");
    $i=0;
    unset($i);while ($i<mysql_num_rows($res)) {
      $i++;$s=mysql_fetch_array($res);if ($s['ok']<2 && $s['id_alh']==$myinfo->id_person) {$bal=$bal+$s['kr'];}
      switch ($s['moneysys']) {
        case 0: $ms='-не считается-';break;
        case 1: $ms='WMZ';break;
        case 2: $ms='WMR';break;
        case 3: $ms='Yandex';break;
        case 4: $ms='Mail.ru';break;
        case 5: $ms='реал';break;
        case 6: $ms='карточка WMZ';break;
        case 7: $ms='elexnet';break;

        case 8: $ms='WMZ перевод';break;
        case 9: $ms='WMR перевод';break;
        case 10: $ms='WME перевод';break;
        case 11: $ms='Yandex перевод';break;
        case 12: $ms='WMZ card 5';break;
        case 13: $ms='WMZ card 10';break;
        case 14: $ms='WMZ card 20';break;
        case 15: $ms='WMZ card 50';break;
        case 16: $ms='WMZ card 100';break;
        case 17: $ms='WMR card 100';break;
        case 18: $ms='WMR card 300';break;
        case 19: $ms='WMR card 500';break;
        case 20: $ms='WMR card 1000';break;
        case 21: $ms='WME card any';break;
        case 22: $ms='Yandex card 100';break;
        case 23: $ms='Yandex card 300';break;
        case 24: $ms='Yandex card 500';break;
        case 25: $ms='Yandex card 1000';break;
        case 26: $ms='Терминал Элекснет(WMR)';break;
        case 27: $ms='Mail.ru перевод';break;
        case 28: $ms='Реальные деньги';break;
      }
      echo ($s['id_alh']==$s['id_person']?'<font color=#75690A>':'').($s['ok']?'<b>':'<font color=red>')."<small>".($i+strval($_GET[skip])).'.'.$s['timest'].",<SCRIPT>drwfl(\"".$s['namea']."\",".$s['id_alh'].",\"".$s['levela']."\",'".$s['aligna']."',\"".$s['clannamea']."\")</SCRIPT>: <SCRIPT>drwfl(\"".$s['name1']."\",".$s['id_person'].",\"".$s['level1']."\",'".$s['align1']."',\"".$s['clanname1']."\")</SCRIPT> (".$s['id_person'].") * ".$s['kr']." кр (".($s['kr']/500)." wmz - 10% = ".($s['kr']/500*0.9)." wmz) - [".$ms."]</small>".($s['ok']?'</b>':($myinfo->id_person==12?'<a href=alh.php?showalhim=1&setokalhim=1&filter='.strval($_REQUEST[filter]).($_REQUEST[onlybad]=='on'?'&onlybad=on':'').'&filter2='.strval($_REQUEST[filter2]).'&t='.str_replace(' ','%20',$s['timest']).'&a='.$s['id_alh'].'&p='.$s['id_person'].'&k='.$s['kr'].'>[+]</a> ':'').'</font>').(($myinfo->id_person==12 && $s['vip']<1)?'<a href=alh.php?showalhim=1'.($_REQUEST[idkto]?'&idkto='.$_REQUEST[idkto]:'').'&setvip=1&filter='.strval($_REQUEST[filter]).($_REQUEST[onlybad]=='on'?'&onlybad=on':'').'&filter2='.strval($_REQUEST[filter2]).'&t='.str_replace(' ','%20',$s['timest']).'&a='.$s['id_alh'].'&p='.$s['id_person'].'&k='.$s['kr'].'>setvip</a>':'').'<small>'.$s['comment'].'</small>'.($s['id_alh']==$s['id_person']?'</font>':'').'<br />';
    }
    echo ($_GET[skip]-40>=0?"<a href=alh.php?showalhim=1".($_REQUEST[idkto]?'&idkto='.$_REQUEST[idkto]:'').($_REQUEST[onlybad]=='on'?'&onlybad=on':'')."&filter=".strval($_REQUEST[filter])."&filter2=".strval($_REQUEST[filter2])."&skip=".strval($_GET[skip]-40)."><-назад</a> ":'');
    echo (true?"<a href=alh.php?showalhim=1".($_REQUEST[idkto]?'&idkto='.$_REQUEST[idkto]:'').($_REQUEST[onlybad]=='on'?'&onlybad=on':'')."&filter=".strval($_REQUEST[filter])."&filter2=".strval($_REQUEST[filter2])."&skip=".strval($_GET[skip]+40).">вперед-></a> ":'');
    #echo "Мой баланс (должен мироздателю): ".($bal/500 * 0.90 ).' WMZ<br />';
    echo "<hr>";
    $res=db_use('array',"select (select sum(wmz)+sum(wmr)/26.40 from alhim2 where id_alh='".$myinfo->id_person."') as sum1,(select sum(kr)/500*0.9 from alhim where id_alh='".$myinfo->id_person."' and moneysys>0) as sum2;");
    #echo "Всего нужно отдать: ".$res['sum2']." wmz. Из них передано Администрации: ".$res['sum1']." wmz.<br />";
    echo "Баланс составляет: ".($res['sum2']-$res['sum1'])." wmz<br />";
    echo (in_array($myinfo->id_person,$alhimics) && !in_array($myinfo->id_person,$alhimicsfull)?"<font color=green>Максимальный лимит: ".$balans[$myinfo->id_person]." wmz</font><br />":'');
    echo '<small>Справка: В балансе комиссия алхимика (10%) уже учтена. Курс для народа 1 WMZ= 500 кр.</small>';
    echo '<hr><u>СоглашениеЪ ОлхимегЪа:</u> <br />
    1) Никаких упоминаний слов "продажа","дилер" и т.д.<br />
    2) Никаких реклам "продаж" нигде. <br />
    3) Никаких сайтов алхимиков с информацией о курсах кредов за взносы на хостинг и т.д. <br />
    4) Никаких упоминаний ников, имен и реквизитов Администрации нигде<br />
    5) Переводы через алхимку по личным нуждам запрещены. <br />
    6) Переводы "-не считается-" делать <b>запрещено</b>.<br />
    7) <b>Каждый перевод должен быть отмечен комментарием.</b><br />
    8) Никаких "в долг"<br />
    9) Себе переводить кр через снятие денег с баланса точно таким же образом как и всем остальным. Для этого использовать "Реальные деньги" - позицию.<br />
    10) То что насобрано. Если по сумме больше 30 wmz переводить на реквизиты WM указанные на страничке отправки SMS-ок. В комментарии указывать "alh'.$myinfo->id_person.'"<br />
    11) Стараться держать текущий баланс на нуле<br />
    12) Комиссию за переводы платежных систем берет на себя процент алхимика. На баланс зачисляются конечные полученные администрацией суммы пожертвований на хостинг.<br />
    13) прайс: именные и клановые вещи (от 35000 кр), <br />
свой значок в инфе (от 25000 кр) <br />
Смена ника : 5000 кр.<br />
Склонности (темная ,светлая ,нейтральная) 5000 кр.<br />
e-mail на хосте antibk.oрг - 10000 кр.<br />
Персональный образ : 5000 кр.<br />
абилка невидимости - 15 тыс кр в месяц<br />
хостинг сайт.antibk.org - 3000 кр в месяц<br />
редиректная инфа - 15000 кр (убрать редирект навсегда = бесплатно, сменить 2000 кр)<br />
    14) Правила не подлежат разглашению<br />
    <br />
    Согласен. '.$myinfo->name.'';
    if ($myinfo->id_person==12) {
      $res=db_use('query',"select (select sum(wmz)+sum(wmr)/26.40 from alhim2 where id_alh=a.id_alh) as sum1,(select sum(kr)/500*0.9 from alhim where id_alh=a.id_alh and moneysys>0) as sum2,a.id_alh from (select distinct id_alh from alhim) as a;");
      unset($i);while ($i<mysql_num_rows($res)) {
        $i++;$s=mysql_fetch_array($res);
        echo "ID_ALH=".$s['id_alh']."<br />";
        echo "Всего нужно отдать: ".$s['sum2']." wmz. Из них передано Администрации: ".$s['sum1']." wmz.<br />";
        echo "Долг составляет: ".($s['sum2']-$s['sum1'])." wmz<br />";
      }
    }
    die;


}

}else {
$session->destroy_session(session_id() );
session_destroy();
header("Location: totop.htm"); die;
}
?>
</FORM>
</BODY>
</HTML>